# Uses of Class
org.apache.zookeeper.server.persistence.FileTxnSnapLog

Packages that use FileTxnSnapLog
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of FileTxnSnapLog in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as FileTxnSnapLog
Modifier and Type
Field
Description
`protected FileTxnSnapLog`
ZKDatabase.`snapLog`
Methods in org.apache.zookeeper.server that return FileTxnSnapLog
Modifier and Type
Method
Description
`FileTxnSnapLog`
ZooKeeperServer.`getTxnLogFactory()`
Methods in org.apache.zookeeper.server with parameters of type FileTxnSnapLog
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`setTxnLogFactory(FileTxnSnapLog txnLog)`
Constructors in org.apache.zookeeper.server with parameters of type FileTxnSnapLog
Modifier
Constructor
Description
``
`ZKDatabase(FileTxnSnapLog snapLog)`
the filetxnsnaplog that this zk database maps to.
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory)`
Default constructor, relies on the config for its argument values
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig)`
Keeping this constructor for backward compatibility
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig, boolean reconfigEnabled)`
* Creates a ZooKeeperServer instance.
``
`ZooKeeperServer(FileTxnSnapLog txnLogFactory, int tickTime, String initialConfig)`
creates a zookeeperserver instance.
``
`ZooKeeperServer(JvmPauseMonitor jvmPauseMonitor, FileTxnSnapLog txnLogFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int clientPortListenBacklog, ZKDatabase zkDb, String initialConfig)`
Adds JvmPauseMonitor and calls `ZooKeeperServer(FileTxnSnapLog, int, int, int, int, ZKDatabase, String)`

## Uses of FileTxnSnapLog in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that return FileTxnSnapLog
Modifier and Type
Method
Description
`FileTxnSnapLog`
QuorumPeer.`getTxnFactory()`
Methods in org.apache.zookeeper.server.quorum with parameters of type FileTxnSnapLog
Modifier and Type
Method
Description
`protected Follower`
QuorumPeer.`makeFollower(FileTxnSnapLog logFactory)`
`protected Leader`
QuorumPeer.`makeLeader(FileTxnSnapLog logFactory)`
`protected Observer`
QuorumPeer.`makeObserver(FileTxnSnapLog logFactory)`
`void`
QuorumPeer.`setTxnFactory(FileTxnSnapLog factory)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type FileTxnSnapLog
Modifier
Constructor
Description
``
`LeaderZooKeeperServer(FileTxnSnapLog logFactory, QuorumPeer self, ZKDatabase zkDb)`
``
`LearnerZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`
`protected`
`QuorumZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`